Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452506 - openvpn does not always set remote variable
Summary: openvpn does not always set remote variable
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openvpn
Version: 9
Hardware: All
OS: Linux
high
urgent
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 446335
TreeView+ depends on / blocked
 
Reported: 2008-06-23 13:57 UTC by Christoph Höger
Modified: 2009-07-14 13:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 13:59:24 UTC


Attachments (Terms of Use)

Description Christoph Höger 2008-06-23 13:57:05 UTC
Description of problem:
Like man openvpn states:

       remote_{n}
              The  --remote parameter.  Set on program initiation and reset on
              SIGHUP.

The remote_1 parameter should hold the remote ip for the connection. 
When I try this:
[root@choeger6 ~]# openvpn --secret /home/choeger/cert/static.key --dev tun
--ifconfig 10.1.0.2 10.1.0.1 --remote 130.149.11.235 --up printenv1.sh | grep remote

(/usr/bin/printenv.sh just calls printenv without params)

I only get:

ifconfig_remote=10.1.0.1
remote_port_1=1194

Obviously there should also be remote_1=130.149.11.235

Version-Release number of selected component (if applicable):
openvpn-2.1-0.26.rc8.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. see above
  
Actual results:
No environment variable remote_{n} is set

Expected results:
remote_1 should hold the remote ip.

Additional info:
NetworkManager-openvpn relies on this feature, as nm-openvpn-service-helper is
run as an --up script and needs to get the remote ip.
This makes this bug a bad showstopper.

Comment 1 Bug Zapper 2009-06-10 01:44:31 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-07-14 13:59:24 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.